libadwaita-1 (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Update debhelper compat to 14

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Jun 2026 16:46:43 -0400

libadwaita-1 (1.9.0-1) unstable; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 1.9.0
  * Refresh patch:
    stylesheet-common-Use-disabled-opacity-for-disabled-pictu.patch

  [ Jeremy Bícha ]
  * debian/libadwaita-1-0.bug-control: Add libgtk-nocsd0 to package status list
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 Apr 2026 10:19:41 -0400

libadwaita-1 (1.9~beta-2) unstable; urgency=medium

  * Remove patch that avoided use of gtk4 4.21
  * Update minimum gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Feb 2026 17:16:34 -0500

libadwaita-1 (1.9~beta-1) unstable; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 1.9.beta
  * Remove upstreamed patch: demo-Remove-NoDisplay-from-desktop-file.patch
  * Update debian/patches/stylesheet-common* to use the disabled-opacity
    variable instead of $disabled_opacity which no longer exists.
  * Add Make-GtkReducedMotion-optional.patch so we're not blocked waiting
    for a new GTK version. The change is so simple and unimportant that
    it should not prevent builds against older GTK versions. Although we
    fully expect a new GTK version soon and this patch can be dropped.
  * Update debian/libadwaita-1-0.symbols with new symbols in 1.9.beta

  [ Jeremy Bícha ]
  * Disable stylesheet-common-Use-opacity-for-all-disabled-gtk-images.patch:
    It emits a lot of warnings

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Feb 2026 08:41:17 -0500

libadwaita-1 (1.8.4-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to stop hiding launcher for libadwaita demo
    (Closes: #1123563)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Feb 2026 10:33:04 -0500

libadwaita-1 (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * autopkgtest: Set allow-stderr restriction to work around new xkb errors
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Jan 2026 17:35:22 -0500

libadwaita-1 (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 14:27:17 -0500

libadwaita-1 (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: appstream for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:29:08 -0400

libadwaita-1 (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 15:54:39 -0400

libadwaita-1 (1.8~rc-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/libadwaita-1-doc.links: Make the API documentation more discoverable
  * d/libadwaita-1-doc.doc-base: Register API documentation with doc-base

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 06:10:19 -0400

libadwaita-1 (1.8~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum gtk4 to 4.19.4

  [ Simon McVittie ]
  * Merge 1.7.x updates from unstable (no functional change)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 08:59:24 -0400

libadwaita-1 (1.8~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Add libfribidi build dependency
  * debian/libadwaita-1-0.symbols: Update

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 06 Aug 2025 00:18:36 +0200

libadwaita-1 (1.7.6-1) unstable; urgency=medium

  * Team upload
  * d/control, d/gbp.conf, d/watch: Track 1.7.x
  * New upstream bugfix release 1.7.5
    - Explicitly set the size of a custom avatar image, avoiding a
      regression with GTK 4.19.x
      (libadwaita!1492 upstream)
    - Always set the document font name, even if all of the debug
      environment variables ADW_DEBUG_HIGH_CONTRAST,
      ADW_DEBUG_COLOR_SCHEME and DEBUG_ACCENT_COLOR are set
      (libadwaita#1042 upstream)
    - Slightly increase the window border radius for AdwTabOverview
      (libadwaita!1489 upstream)
    - Fix an assertion failure when showing a "toast" notification while its
      hiding animation is still in progress
      (libadwaita#997 upstream)
    - Fix some memory leaks
    - CI updates, not relevant to how this package is built in Debian
  * New upstream bugfix release 1.7.6
    - Make cancelling an alert dialog go through the same code path as
      the user interacting with it
      (libadwaita!1511 upstream)
    - Avoid type-check warnings when a dialog is presented as a window
      (libadwaita!1519 upstream)
    - Fix keyboard activation on AdwButtonRow inside AdwDialog presented
      as a window
      (libadwaita#1062 upstream)
    - Crash with a somewhat graceful assertion error if a layout slot is
      invalidly constructed without an ID, instead of segfaulting
      (libadwaita#1059 upstream)
    - Fix a memory leak
      (libadwaita#1067 upstream)
    - Avoid AdwNavigationPage "showing" and "hidden" signals being
      spuriously triggered when swiping left on a touchscreen
      (libadwaita#1065 upstream)
    - Make tab overview buttons easier to press on touchscreens
      (libadwaita#1039 upstream)
    - Fix scan-build warnings by programming more defensively
      (libadwaita!1517 upstream)
    - Remove some dead code
      (libadwaita!1521 upstream)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Aug 2025 11:06:22 +0100

libadwaita-1 (1.7.4-2) unstable; urgency=medium

  * Team upload
  * Summarize upstream changes in previous changelog entry
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Jun 2025 14:02:45 +0100

libadwaita-1 (1.7.4-1) experimental; urgency=medium

  * New upstream release 1.7.3
    - Fix a crash if the preference for titlebar button layout is set
      to empty
      (libadwaita#1032 upstream)
    - Don't let the text colour in various widgets become unreadable
      when disabled (insensitive)
      (libadwaita#1020 upstream)
    - Fix visual style of expander rows marked as .property class
      (libadwaita#967 upstream)
    - Correctly transfer focus to expander rows when targeted by search
      (libadwaita#1037 upstream)
    - Adjust the threshold between yellow and green when normalizing accent
      colours
    - In the "inspector" debugging tool, don't interpret window titles
      as Pango markup
    - Documentation fixes
    - Translation updates: ja, lv, pt
  * New upstream release 1.7.4
    - Fix a critical when disposing AdwCarousel after scrolling with
      mouse wheel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:29:05 -0400

libadwaita-1 (1.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 08:20:57 -0400

libadwaita-1 (1.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 10:01:59 -0400

libadwaita-1 (1.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 16:44:37 -0400

libadwaita-1 (1.7~rc-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib and gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 13:30:09 -0500

libadwaita-1 (1.7~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Feb 2025 08:54:11 -0500

libadwaita-1 (1.7~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libadwaita-1.0-symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Jan 2025 14:37:03 -0500

libadwaita-1 (1.7~alpha-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * debian/libadwaita-1-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 20:07:58 -0500

libadwaita-1 (1.6.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Nathan Pratta Teodosio ]
  * Add debian/clean for debian/testtmp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 18:51:23 -0500

libadwaita-1 (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 11:13:17 -0500

libadwaita-1 (1.6.1-2) unstable; urgency=medium

  * Team upload
  * d/rules, d/tests: Consistently use the same arguments for xvfb-run
    - Explicitly set a screen size, which for whatever reason works
      around a crash during libunwind initialization
      (Mitigates: #1082659, #1084230)
    - Don't reset the X server when a client exits
    - Send diagnostic messages to stderr
    - Automatically choose a display number

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 15:32:48 +0000

libadwaita-1 (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 15:04:30 -0400

libadwaita-1 (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Remove patch applied in new release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 15 Sep 2024 17:33:05 -0400

libadwaita-1 (1.6~rc-2) experimental; urgency=medium

  * Team upload
  * d/p/test-bottom-sheet-Pass-alignment-in-varargs-correctly.patch:
    Add proposed patch to fix undefined behaviour in a unit test
    (Closes: #1080324, #1080325)

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Sep 2024 11:04:06 +0100

libadwaita-1 (1.6~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add test dependency on mesa-vulkan-drivers

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Aug 2024 22:09:24 -0400

libadwaita-1 (1.6~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libadwaita-1-0.symbols: Add new symbols
  * Bump minimum GTK4 to 4.15.2
  * Build tests separately from main build to avoid including exported
    private symbols
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 15:18:00 -0400

libadwaita-1 (1.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 14:45:20 -0400

libadwaita-1 (1.5.2-2) unstable; urgency=medium

  * Set minimum GTK4 to 4.13.4
  * Revert "Revert 3 commits bumping minimum GTK4"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 14:38:54 -0400

libadwaita-1 (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 14:32:35 -0400

libadwaita-1 (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 15:46:47 -0400

libadwaita-1 (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 15:35:07 -0400

libadwaita-1 (1.5~rc-1) unstable; urgency=medium

  * New upstream release
  * Revert 3 commits bumping minimum GTK4
  * Set LIBGL_ALWAYS_SOFTWARE=true in autopkgtests instead of allow-stderr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 09:14:27 -0500

libadwaita-1 (1.5~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/libadwaita-1-0.symbols: Add new symbols
  * autopkgtest: Allow stderr for mesa's zink errors

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Feb 2024 16:01:14 -0500

libadwaita-1 (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 17:19:41 -0500

libadwaita-1 (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Dec 2023 12:08:23 -0500

libadwaita-1 (1.4.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Stop generating from d/control.in
  * d/control: Build-depend on GIR XML included by Adw-1.gir.
    This will help with separating GIR XML out from -dev packages in
    future (Helps: #1030223)
  * d/control: Add ${gir:Provides}, ${gir:Depends} to -dev package
    (Helps: #1030223)
  * Don't build documentation unless building Architecture: all packages.
    This avoids redundantly building the documentation on every
    architecture's buildd: we only need to build it on the Architecture:
    all buildd, or when doing a combined any+all build.

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:26:45 +0000

libadwaita-1 (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 13:57:32 -0400

libadwaita-1 (1.4~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: minor updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 10:47:25 -0400

libadwaita-1 (1.4~beta-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Aug 2023 20:50:09 -0400

libadwaita-1 (1.4~beta-2) experimental; urgency=medium

  * debian/control.in: Have -dev package depend on libappstream-dev
    to match the pkgconfig file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 10:25:41 -0400

libadwaita-1 (1.4~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimium GTK to 4.12.0
  * debian/control.in: Build-Depend on libappstream-dev
  * debian/libadwaita-1.0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 10:02:08 -0400

libadwaita-1 (1.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 10:03:31 -0400

libadwaita-1 (1.3.3-2) unstable; urgency=medium

  * Release to unstable (Closes: #1041260)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Jul 2023 07:55:29 -0400

libadwaita-1 (1.3.3-1) experimental; urgency=medium

  * New upstream release (LP: #2023411)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 09 Jun 2023 20:04:20 +0200

libadwaita-1 (1.3.2-1) experimental; urgency=medium

  * New upstream release
  * autopkgtest: Run python test through xvfb, required by GTK 4.10.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 May 2023 10:11:22 -0400

libadwaita-1 (1.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Use semi-transparent icons and pictures when disabled

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 01:25:04 +0100

libadwaita-1 (1.3~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gtk4 to 4.9.5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 13:13:06 -0500

libadwaita-1 (1.3~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.9.3
  * debian/libadwaita-1.0.symbols: Add new symbols
  * Revert branching for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 13:30:59 -0500

libadwaita-1 (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf, debian/control.in: Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 10:12:10 -0500

libadwaita-1 (1.2.1-2) unstable; urgency=medium

  * debian/tests/build-test: Set GTK_A11Y=none
  * debian/control.in: Bump Standards-Version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2023 14:21:14 -0500

libadwaita-1 (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 14:18:28 -0500

libadwaita-1 (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 13:05:06 -0400

libadwaita-1 (1.2~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Only watch for stable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:59:46 -0400

libadwaita-1 (1.2~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/libadwaita-1.0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 18:21:01 -0400

libadwaita-1 (1.2~alpha-1) unstable; urgency=medium

  * New upstream release
  * debian/libadwaita-1-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 16:07:50 +0200

libadwaita-1 (1.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 14:48:22 +0200

libadwaita-1 (1.1.2-1) unstable; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release

  [ Jeremy Bicha ]
  * Mark autopkgtests as superficial

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 03 Jun 2022 11:05:32 -0300

libadwaita-1 (1.1.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1970758)

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add libxml2-utils as B-D to get xmllint

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 10:14:08 -0400

libadwaita-1 (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 11:31:38 -0400

libadwaita-1 (1.1~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 11:13:40 -0500

libadwaita-1 (1.1~beta-1) unstable; urgency=medium

  * New upstream release
  * deiban/libadwaita-1-0.symbols: Add new symbols

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 10:20:48 -0500

libadwaita-1 (1.0.2-2) unstable; urgency=medium

  * Build-Depend on gi-docgen
  * Add libadwaita-1-doc package

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 09:32:39 -0500

libadwaita-1 (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 09:25:25 -0500

libadwaita-1 (1.0.1-2) unstable; urgency=medium

  * debian/libadwaita-1.0.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.6.0
  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Feb 2022 05:57:19 -0500

libadwaita-1 (1.0.1-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Update packaging for Debian GNOME team style

  [ Guido Günther ]
  * Fix LGPL license text

  [ Simon McVittie ]
  * New upstream release
  * d/control: Update build-dependencies
  * d/copyright: Update
  * Install supporting files for the example
  * Update symbols file, ignoring ABI breaks between alpha and final release
  * d/tests/python-gi-test: Stop using a class that was removed

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jan 2022 21:35:38 +0000

libadwaita-1 (1.0.0~alpha.2-1) experimental; urgency=medium

  * Initial upload to experimental (Closes: #993598)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Sep 2021 16:25:01 +0200
